Skip to main content

User Details

Request to be POSTed to uri : /NorenWClientAPI/UserDetails

Request Details :

Parameter NamePossible valueDescription
jData*Should send json object with fields in below list
Json FieldsPossible valueDescription
uid*User Id

Example

curl --location 'https://api.kambala.co.in/NorenWClientAPI/UserDetails' \
--header 'Content-Type: text/plain' \
--header 'Authorization: Bearer 5ce4efdde7bd6a36e995c70be152bcbfeed4d411c07cb5be253e79a1a7973ee0' \
--data 'jData={"uid":"DEMO"}'

Response Details :

Json FieldsPossible valueDescription
request_timeIt will be present only in a successful response.
unameUser name
m_numMobile Number
emailEmail Id
access_typeAccess Type
exarrJson array of strings with enabled exchange names
prarrJson array of Product Obj with enabled products, as defined below.
orarrJson array of strings with enabled price types for user
brknameBroker id
uidUser Id
brnchidBranch id
actidAccount Id
uprevAlways it will be an INVESTOR, other types of user not allowed to login using this API.
statOk or Not_OkUser details success or failure indication.
emsgThis will be present only in case of errors.

Product Obj format :

Json FieldsPossible valueDescription
prdProduct name
s_prdt_aliProduct display name
exchJson array of strings with enabled, allowed exchange names

Sample Success Response :

{
"request_time": "16:48:26 03-12-2025",
"uname": "DEMO",
"m_num": "0",
"email": "test@gmail.com",
"access_type": ["MOB", "WEB", "API"],
"exarr": ["NSE", "NFO", "BSE", "BFO", "NIE"],
"prarr": [
{
"prd": "F",
"s_prdt_ali": "MTF",
"exch": ["NSE", "BSE"]
},
{
"prd": "B",
"s_prdt_ali": "BO",
"exch": ["NSE", "BSE", "NFO", "BFO", "NIE"]
},
{
"prd": "H",
"s_prdt_ali": "CO",
"exch": ["NSE", "BSE",
"NFO", "BFO", "NIE"]
},
{
"prd": "M",
"s_prdt_ali": "NRML",
"exch": ["NFO", "BFO", "NSE", "BSE", "NIE"]
},
{
"prd": "I",
"s_prdt_ali": "MIS",
"exch": [
"NSE", "BSE", "NFO", "BFO"]
},
{
"prd": "C",
"s_prdt_ali": "CNC",
"exch": ["NSE", "BSE", "NIE"]
}
],
"orarr": ["LMT", "MKT", "SL-LMT", "SL-MKT", "DS", "2L", "3L"],
"brkname": "KSPL",
"uid": "DEMO",
"brnchid": "RMS",
"actid": "DEMO",
"uprev": "INVESTOR",
"stat": "Ok"
}

Sample Failure Response :

{
"stat": "Not_Ok",
"emsg": "Session Expired : Invalid Session Key"
}